org.jboss.netty.channel

## Class DefaultExceptionEvent

- java.lang.Object
- - org.jboss.netty.channel.DefaultExceptionEvent

All Implemented Interfaces:
  ChannelEvent, ExceptionEvent

    public class DefaultExceptionEvent
    extends Object
    implements ExceptionEvent

The default `ExceptionEvent` implementation.

### Constructor Summary

Constructors
Constructor and Description
`DefaultExceptionEvent(Channel channel, Throwable cause)` Creates a new instance.

### Method Summary

Methods
`Throwable` `getCause()` Returns the raised exception.
`Channel` `getChannel()` Returns the `Channel` which is associated with this event.
`ChannelFuture` `getFuture()` Returns the `ChannelFuture` which is associated with this event.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DefaultExceptionEvent

    public DefaultExceptionEvent(Channel channel,
                         Throwable cause)

Creates a new instance.

### Method Detail

#### getChannel

    public Channel getChannel()

Description copied from interface: `ChannelEvent`
Returns the `Channel` which is associated with this event.

Specified by:
  `getChannel` in interface `ChannelEvent`

#### getFuture

    public ChannelFuture getFuture()

Description copied from interface: `ChannelEvent`
Returns the `ChannelFuture` which is associated with this event. If this event is an upstream event, this method will always return a `SucceededChannelFuture` because the event has occurred already. If this event is a downstream event (i.e. I/O request), the returned future will be notified when the I/O request succeeds or fails.

Specified by:
  `getFuture` in interface `ChannelEvent`

#### getCause

    public Throwable getCause()

Description copied from interface: `ExceptionEvent`
Returns the raised exception.

Specified by:
  `getCause` in interface `ExceptionEvent`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`